package main

import "git.wamblee.org/converge/pkg/models"

type StateNotifier struct {
	webNotificationChannel        chan *models.State
	prometheusNotificationChannel chan *models.State
}

func NewStateNotifier() *StateNotifier {
	return &StateNotifier{
		webNotificationChannel:        make(chan *models.State),
		prometheusNotificationChannel: make(chan *models.State),
	}
}

func (notifier StateNotifier) Publish(state *models.State) {
	notifier.webNotificationChannel <- state.Copy()
	notifier.prometheusNotificationChannel <- state.Copy()
}
